# rx3-to-mastodon

Bot permettant de publier sur Mastodon le titre en cours de lecture sur [Real Rebel Radio](https://www.real-rebel-radio.net/).

## Pré requis

* Un compte mastodon
* Un compte discogs
* Un serveur avec NodeJS
* Une base de données MongDB

## Configuration

Le bot a besoin de quelques variables d'environnement pour tourner en totale autonomie :

```json
  "streamUrl": "Url du flux rx3 (facultatif)",
  "mongoUrl": "Url de connexion à mongoDb, par défaut : mongodb://localhost/rx3-to-mastodon",
  "mastodonToken": "Token Mastodon (https://mamot.fr/settings/applications, autorisations requises : write:media, write:statuses)",
  "mastondonApi": "Url de l'instance Mastodon utilisées, par défaut : https://mamot.fr/api/v1/",
  "discogsToken": "Token d'accès l'API Discogs (https://www.discogs.com/settings/developers)",
  "delay": "Délai en millisecondes entre 2 scans au flux rx3, par défaut 4000ms"
```

## Lancement du BOT

Une fois les variables d'environnement appliquées il faut installer les dépendances nécessaires au programe via npm ou yarn :

```
yarn install
```

Une fois cela fait on peut lancer le bot via la commande start :

```
yarn start
```

## Crédits

Ce bot est une idée originale de Rx3 et [Brunus](https://framapiaf.org/@Brunus).

Développé par [DarKou](https://mamot.fr/@DarKou).

## Licence

Rx3 to Mastodon est distribué sous [licence MIT](LICENCE.txt)